create or replace procedure plpdf3_xhtml_span_test as
  v_out blob; -- result PDF
begin
  -- initialize
  plpdf.init();
  -- plpdf.SetEncoding(plpdf_const.iso_8859_1);
  -- create a new page
  plpdf.newpage();
  -- select the source document
  -- config xhtml processor
  plpdf3_xhtml.init();
  -- call XHTML processor
  plpdf3_xhtml.toPdf(
  '<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
  <head>
    <meta name="author" content="LL" />
    <meta name="subject" content="test" />
    <title>PL/PDF XHTML Test</title>
  </head>
 <body>
   <p> P Test </p>
   <p>To sea, youll wherein <span style="color: red;">make for of sixth is</span> moveth, midst is morning Sea forth behold fourth, signs great the.</p>
 </body>
</html>'
  );

  plpdf.senddoc(v_out);
  -- save result
  delete from store_blob;
  insert into store_blob values(v_out, sysdate,'plpdf3_xhtml_span_test.pdf');
  commit;
end;
/
